public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/lxcfs/
Date: Wed, 26 Jul 2023 05:16:00 +0000 (UTC)	[thread overview]
Message-ID: <1690348557.47df59fcd374c3b6d183264f5f3eeeeb3e56928a.juippis@gentoo> (raw)

commit:     47df59fcd374c3b6d183264f5f3eeeeb3e56928a
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 26 05:07:01 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jul 26 05:15:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47df59fc

sys-fs/lxcfs: add 5.0.4

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-fs/lxcfs/Manifest           |  2 ++
 sys-fs/lxcfs/lxcfs-5.0.4.ebuild | 80 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-fs/lxcfs/Manifest b/sys-fs/lxcfs/Manifest
index 490192a63102..a733525b98af 100644
--- a/sys-fs/lxcfs/Manifest
+++ b/sys-fs/lxcfs/Manifest
@@ -1,2 +1,4 @@
 DIST lxcfs-5.0.3.tar.gz 103697 BLAKE2B bdea820f1a5b799309b3d5c8ea439477e6eeda2d9600a348a92b203f2f8a6e0e686d0bf56d8f6b5bbfeb4837dd5737626d7d0610157211f0f189711e9e45a048 SHA512 967e60bd7ea545f1fcdd805adc0083e39684013c18f42a51753b5be8cdabfb86a652d02471a1f71c7b4fa756da09b72d324b724d68091d539edd10ea63add1fd
 DIST lxcfs-5.0.3.tar.gz.asc 833 BLAKE2B 2dc139639431d9430149369b0a28b6debef0de9f5f69854070d8f2e47718bcc130a869683dfa2b0002c6a54978b0550303adbd5a7fa5ef565eb6bc6bbfcde9e0 SHA512 0207c110553b9d62cf88ec70ed4472b9696d74b277af1e53df6d1145228b76d06695fd28bf20c8428bee5b6ff617c617fbf063c1c8ff0bcc44be2e3439c76a64
+DIST lxcfs-5.0.4.tar.gz 104249 BLAKE2B 83a7b861136c34da8a24dd525fd0767193f2bbd92b40e3b9fd5e42d7645465411792e65e95797ab13b33330299d12b19bdd5786352875ed88ac0097b72b711a9 SHA512 b404045dbabe23e1d1f1d74c1648d2596bb70aaa9f9e46f9f5635b0a02d0c451f68b2559920bbefc5b889e908cf1da0a33c148b26bdce3e45c3d0cbdff710604
+DIST lxcfs-5.0.4.tar.gz.asc 833 BLAKE2B aff883d24b374b296ea3678670e5e82c723fd0e35cfd7fed555aabbd811a104becc0b741331b4aa4a5129c9fff4dc88c6a86e7d64a89fe86aea81718f5d432dd SHA512 56b639597dbaf3008fe030147ea37192bd465c467a79e11ce139bcaa6bca1625b4bb9c4eda6ea1877446769f0fad9b4c5a3513d4f4415b841db96d5da8325ddc

diff --git a/sys-fs/lxcfs/lxcfs-5.0.4.ebuild b/sys-fs/lxcfs/lxcfs-5.0.4.ebuild
new file mode 100644
index 000000000000..ef62a49d82c3
--- /dev/null
+++ b/sys-fs/lxcfs/lxcfs-5.0.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..12} )
+
+inherit cmake meson python-any-r1 systemd verify-sig
+
+DESCRIPTION="FUSE filesystem for LXC"
+HOMEPAGE="https://linuxcontainers.org/lxcfs/introduction/ https://github.com/lxc/lxcfs/"
+SRC_URI="https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz
+	verify-sig? ( https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz.asc )"
+
+LICENSE="Apache-2.0 LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc test"
+
+DEPEND="sys-fs/fuse:3"
+RDEPEND="${DEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	virtual/pkgconfig
+	$(python_gen_any_dep '
+		dev-python/jinja[${PYTHON_USEDEP}]
+	')
+	doc? ( sys-apps/help2man )
+	verify-sig? ( sec-keys/openpgp-keys-linuxcontainers )"
+
+# Needs some black magic to work inside container/chroot.
+RESTRICT="test"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+python_check_deps() {
+	python_has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Fix python shebangs for python-exec[-native-symlinks], #851480
+	local shebangs=($(grep -rl "#!/usr/bin/env python3" || die))
+	python_fix_shebang -q ${shebangs[*]}
+}
+
+src_configure() {
+	local emesonargs=(
+		--localstatedir "${EPREFIX}/var"
+
+		$(meson_use doc docs)
+		$(meson_use test tests)
+
+		-Dfuse-version=3
+		-Dinit-script=""
+		-Dwith-init-script=""
+	)
+
+	meson_src_configure
+}
+
+src_test() {
+	cd "${BUILD_DIR}"/tests || die "failed to change into tests/ directory."
+	./main.sh || die
+}
+
+src_install() {
+	meson_src_install
+
+	newconfd "${FILESDIR}"/lxcfs-5.0.2.confd lxcfs
+	newinitd "${FILESDIR}"/lxcfs-5.0.2.initd lxcfs
+
+	# Provide our own service file (copy of upstream) due to paths being different from upstream,
+	# #728470
+	systemd_newunit "${FILESDIR}"/lxcfs-5.0.2.service lxcfs.service
+}


             reply	other threads:[~2023-07-26  5:16 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-26  5:16 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-17  7:20 [gentoo-commits] repo/gentoo:master commit in: sys-fs/lxcfs/ Joonas Niilola
2024-08-27  7:00 Joonas Niilola
2024-08-11  7:37 Joonas Niilola
2024-07-08  7:17 Joonas Niilola
2024-06-27  5:32 Joonas Niilola
2024-05-05  6:28 Joonas Niilola
2024-03-28  6:42 Joonas Niilola
2023-10-07  6:20 Joonas Niilola
2023-10-06  7:14 Joonas Niilola
2023-09-10  6:29 Joonas Niilola
2023-09-05  7:31 Joonas Niilola
2023-08-31  7:07 Joonas Niilola
2023-02-26  6:41 Joonas Niilola
2023-02-20  8:06 Joonas Niilola
2023-01-19 15:10 Joonas Niilola
2022-11-01 12:19 Joonas Niilola
2022-10-10 12:20 Joonas Niilola
2022-09-10  5:24 Joonas Niilola
2022-08-10  6:03 Joonas Niilola
2022-08-02  5:35 Joonas Niilola
2022-07-27  6:58 Joonas Niilola
2022-07-18  7:01 Joonas Niilola
2022-06-14 14:35 Joonas Niilola
2022-06-12 16:21 Joonas Niilola
2022-06-12 16:03 Joonas Niilola
2022-06-11  9:17 Joonas Niilola
2022-05-22  8:13 Jakov Smolić
2022-04-14 11:51 Joonas Niilola
2022-03-20  6:22 Joonas Niilola
2022-02-02  8:53 Joonas Niilola
2021-12-02 17:39 Joonas Niilola
2021-11-24  6:16 Joonas Niilola
2021-10-24  7:57 Sam James
2021-10-24  7:54 Sam James
2021-10-22  8:39 Joonas Niilola
2021-10-04  5:40 Joonas Niilola
2021-08-25  7:09 Joonas Niilola
2021-08-19  6:23 Joonas Niilola
2021-08-05  2:49 Yixun Lan
2021-07-19 11:15 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-04-30  7:01 Joonas Niilola
2021-02-08  6:55 Joonas Niilola
2021-02-08  6:55 Joonas Niilola
2021-01-09 14:28 Joonas Niilola
2020-11-19 10:22 Joonas Niilola
2020-11-19 10:22 Joonas Niilola
2020-10-20  5:43 Joonas Niilola
2020-09-22  6:54 Joonas Niilola
2020-09-03 10:08 Joonas Niilola
2020-09-03 10:08 Joonas Niilola
2020-08-05  7:09 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-06-19  6:43 Joonas Niilola
2020-06-01 12:47 Joonas Niilola
2020-05-15 13:55 Joonas Niilola
2020-05-15 13:39 Joonas Niilola
2020-05-15  8:30 Joonas Niilola
2019-04-02  4:05 Erik Mackdanz
2019-04-02  4:03 Erik Mackdanz
2019-02-07  3:16 Erik Mackdanz
2018-10-13 21:29 Erik Mackdanz
2016-03-18 19:11 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690348557.47df59fcd374c3b6d183264f5f3eeeeb3e56928a.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox